/*
 * vmware-run.c
 *
 * Copyright (c) 2003 Marius Aamodt Eriksen <marius@monkey.org>
 *
 * $Id: vmware-run.c,v 1.2 2003/07/30 03:45:43 marius Exp $
 */

#include <fcntl.h>
#include <err.h>
#include <unistd.h>

int
main(int argc, char **argv)
{
	int fd;
	char *cmd[2];

	cmd[0] = "/usr/local/bin/vmware";
	cmd[1] = NULL;

	fd = open("/dev/vmmon", O_RDWR, 0);
	if (fd == -1)
		err(1, "open()");

	execvp(cmd[0], cmd);
	err(1, "execvp");
	/* NOTREACHED */  
	/* ... but make gcc happy */

	return (1);
}
